> For the complete documentation index, see [llms.txt](https://docs.offblocks.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.offblocks.xyz/developer-guides/api-integration/postman.md).

# Postman

If you are using [Postman](https://www.postman.com/), you can fork our Postman collection

[![Run In Postman](https://run.pstmn.io/button.svg)](https://app.getpostman.com/run-collection/31088643-2c2b6d50-87d1-47fc-8ab7-47ea53ff5cb9?action=collection%2Ffork\&source=rip_markdown\&collection-url=entityId%3D31088643-2c2b6d50-87d1-47fc-8ab7-47ea53ff5cb9%26entityType%3Dcollection%26workspaceId%3D556db888-8f56-4283-bcd3-46a482cfc476#?env%5BSANDBOX%5D=W3sia2V5IjoiYmFzZVVybCIsInZhbHVlIjoiaHR0cHM6Ly9hcGkuc2FuZGJveC5vZmZibG9ja3MueHl6L3YxIiwiZW5hYmxlZCI6dHJ1ZSwidHlwZSI6ImRlZmF1bHQiLCJzZXNzaW9uVmFsdWUiOiJodHRwczovL2FwaS5zYW5kYm94Lm9mZmJsb2Nrcy54eXovdjEiLCJzZXNzaW9uSW5kZXgiOjB9LHsia2V5IjoiYXBpS2V5IiwidmFsdWUiOiIiLCJlbmFibGVkIjp0cnVlLCJ0eXBlIjoic2VjcmV0Iiwic2Vzc2lvblZhbHVlIjoiIiwic2Vzc2lvbkluZGV4IjoxfSx7ImtleSI6ImFwaVNlY3JldCIsInZhbHVlIjoiIiwiZW5hYmxlZCI6dHJ1ZSwidHlwZSI6InNlY3JldCIsInNlc3Npb25WYWx1ZSI6IiIsInNlc3Npb25JbmRleCI6Mn0seyJrZXkiOiJiZWFyZXJUb2tlbiIsInZhbHVlIjoiIiwiZW5hYmxlZCI6dHJ1ZSwidHlwZSI6ImFueSIsInNlc3Npb25WYWx1ZSI6IiIsInNlc3Npb25JbmRleCI6M30seyJrZXkiOiJzaWduYXR1cmVLZXlJZCIsInZhbHVlIjoiIiwiZW5hYmxlZCI6dHJ1ZSwidHlwZSI6InNlY3JldCIsInNlc3Npb25WYWx1ZSI6IiIsInNlc3Npb25JbmRleCI6NH0seyJrZXkiOiJzaWduYXR1cmVQcml2YXRlS2V5IiwidmFsdWUiOiIiLCJlbmFibGVkIjp0cnVlLCJ0eXBlIjoic2VjcmV0Iiwic2Vzc2lvblZhbHVlIjoiIiwic2Vzc2lvbkluZGV4Ijo1fSx7ImtleSI6InNpZ25hdHVyZVB1YmxpY0tleSIsInZhbHVlIjoiIiwiZW5hYmxlZCI6dHJ1ZSwidHlwZSI6ImRlZmF1bHQiLCJzZXNzaW9uVmFsdWUiOiIiLCJzZXNzaW9uSW5kZXgiOjZ9XQ==)

This collection includes:

* OffBlocks API endpoints
* An environment to fill out
* A pre-request script that handles [Authentication](/developer-guides/api-integration/authentication.md) and [Request Signatures](/developer-guides/api-integration/request-signatures.md) for you for every request

### **Setup**

To make calls within Postman you need to:

<details>

<summary>1. Create a public / private key pair for request signing</summary>

To learn more, see [Request Signatures](/developer-guides/api-integration/request-signatures.md)&#x20;

```bash
openssl ecparam -name secp384r1 -genkey -noout -out ec-secp384r1-priv-key.pem
openssl ec -in ec-secp384r1-priv-key.pem -pubout > ec-secp384r1-pub-key.pem
```

</details>

<details>

<summary>2. Request API credentials</summary>

To set up your access and begin exploring the capabilities, please contact us at <gm@offblocks.xyz>.

</details>

<details>

<summary>3. Populate the environment in Postman</summary>

On the left pane, you should see "Environments". If you go there, there is one Postman Environment available.

Fill out the values in there (fill the **`Current Value`** column) with the values shown in the section below.

When you're done, set this environment as "Active" (meaning it will be used when you try endpoints) by clicking on the checkmark icon next to the environment name, or by selecting it in the dropdown selector in the top-right corner of Postman window.

* **baseUrl:** Use `https://api.sandbox.offblocks.xyz/v1` to access the Sandbox environment.
* **apiKey:** Please reach out to us so that we can provide you with the necessary API credentials.
* **apiSecret:** Similarly, contact us to obtain your API credentials.
* **signatureKeyId:** This unique identifier (UUID) is used to verify the authenticity of your requests. (see [Request Signatures](/developer-guides/api-integration/request-signatures.md) for more details).
* **signaturePrivateKey:** This private key is used to sign all outgoing requests, ensuring their authenticity. (See [Request Signatures](/developer-guides/api-integration/request-signatures.md) for more details).

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.offblocks.xyz/developer-guides/api-integration/postman.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
